Bug 463972 - jwhois conf file needs updating
jwhois conf file needs updating
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 14:29 EDT by Wolfgang Rupprecht
Modified: 2008-11-05 23:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2008-09-25 14:29:05 EDT
Description of problem:

/etc/jwhois.conf is missing some entries for newer ipv6 assignments.  This causes it to not be able to resolve some types of rDNS queries for ipv6.

Version-Release number of selected component (if applicable):

jwhois.x86_64   4.0-7.fc9

How reproducible:

always

Steps to Reproduce:
1. whois 2620:0:a04:e003:217:a4ff:fedc:a850
2. notice failure
3.
  
Actual results:

Comes back with no answer.

Expected results:

gets an answer.

Additional info:

attached diff with newest file in savanah's cvs. http://savannah.gnu.org/cgi-bin/viewcvs/jwhois/jwhois/example/jwhois.conf

--- /etc/jwhois.conf-dist	2008-02-11 05:43:32.000000000 -0800
+++ /etc/jwhois.conf	2008-09-25 11:09:45.000000000 -0700
@@ -593,13 +593,12 @@
 	"2001:1600::/23" = "whois.ripe.net";
 	"2001:1800::/23" = "whois.arin.net";
 	"2001:1A00::/23" = "whois.ripe.net";
-	"2001:1C00::/23" = "whois.ripe.net";
-	"2001:1E00::/23" = "whois.ripe.net";
+	"2001:1C00::/22" = "whois.ripe.net";
 	"2001:2000::/20" = "whois.ripe.net";
 	"2001:3000::/21" = "whois.ripe.net";
 	"2001:3800::/22" = "whois.ripe.net";
 	"2001:4000::/23" = "whois.ripe.net";
-	"2001:4200::/23" = "whois.arin.net";
+	"2001:4200::/23" = "whois.afrinic.net";
 	"2001:4400::/23" = "whois.apnic.net";
 	"2001:4600::/23" = "whois.ripe.net";
 	"2001:4800::/23" = "whois.arin.net";
@@ -612,21 +611,15 @@
 
 	"2003:0000::/18" = "whois.ripe.net";
 
-	"2400:0000::/19" = "whois.apnic.net";
-	"2400:2000::/19" = "whois.apnic.net";
-	"2400:4000::/21" = "whois.apnic.net";
-	"2404:0000::/23" = "whois.apnic.net";
-
-	"2600:0000::/22" = "whois.arin.net";
-	"2604:0000::/22" = "whois.arin.net";
-	"2608:0000::/22" = "whois.arin.net";
-	"260C:0000::/22" = "whois.arin.net";
+	"2400:0000::/12" = "whois.apnic.net";
+
+	"2600:0000::/12" = "whois.arin.net";
 	"2610:0000::/23" = "whois.arin.net";
+	"2620:0000::/23" = "whois.arin.net";
 
-	"2800:0000::/23" = "whois.lacnic.net";
+	"2800:0000::/12" = "whois.lacnic.net";
 
-	"2A00:0000::/21" = "whois.ripe.net";
-	"2A01:0000::/16" = "whois.ripe.net";
+	"2C00:0000::/12" = "whois.afrinic.net";
 
 	#
 	# Experimental IPv6 network 6bone (RFC2471)
Comment 1 Fedora Update System 2008-10-13 10:47:40 EDT
jwhois-4.0-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jwhois-4.0-8.fc9
Comment 2 Fedora Update System 2008-10-15 22:01:07 EDT
jwhois-4.0-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jwhois'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8774
Comment 3 Fedora Update System 2008-11-05 23:10:28 EST
jwhois-4.0-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.